For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList conversations
      • GETGet conversation details
      • DELDelete conversation
      • GETGet conversation audio
      • GETGet signed URL
      • GETGet conversation token
      • POSTSend conversation feedback
      • POSTUpload conversation file
      • DELDelete conversation file
      • GETGet SIP messages for a conversation
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsConversations

List conversations

GET
/v1/convai/conversations
GET
/v1/convai/conversations
$curl https://api.elevenlabs.io/v1/convai/conversations
1{
2 "conversations": [
3 {
4 "agent_id": "string",
5 "conversation_id": "string",
6 "start_time_unix_secs": 1,
7 "call_duration_secs": 1,
8 "message_count": 1,
9 "status": "initiated",
10 "call_successful": "success",
11 "branch_id": "string",
12 "version_id": "string",
13 "agent_name": "string",
14 "termination_reason": "",
15 "transcript_summary": "string",
16 "call_summary_title": "string",
17 "main_language": "string",
18 "conversation_initiation_source": "unknown",
19 "tool_names": [
20 "string"
21 ],
22 "direction": "inbound",
23 "rating": 1.1
24 }
25 ],
26 "has_more": true,
27 "next_cursor": "string"
28}
Get all conversations of agents that user owns. With option to restrict to a specific agent.
Was this page helpful?
Previous

Get conversation details

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
agent_idstring or nullOptional

Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.

call_successfulenum or nullOptional
The result of the success evaluation
Allowed values:
call_start_before_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations up to this start date.

call_start_after_unixinteger or nullOptional

Unix timestamp (in seconds) to filter conversations after to this start date.

call_duration_min_secsinteger or nullOptional
Minimum call duration in seconds.
call_duration_max_secsinteger or nullOptional
Maximum call duration in seconds.
rating_maxinteger or nullOptional1-5

Maximum overall rating (1-5).

rating_mininteger or nullOptional1-5

Minimum overall rating (1-5).

has_feedback_commentboolean or nullOptional
Filter conversations with user feedback comments.
user_idstring or nullOptional
Filter conversations by the user ID who initiated them.
evaluation_paramslist of strings or nullOptional

Evaluation filters. Repeat param. Format: criteria_id:result. Example: eval=value_framing:success

data_collection_paramslist of strings or nullOptional

Data collection filters. Repeat param. Format: id:op:value where op is one of eq|neq|gt|gte|lt|lte|in|exists|missing. For in, pipe-delimit values.

tool_nameslist of strings or nullOptional
Filter conversations by tool names used during the call.
tool_names_successfullist of strings or nullOptional
Filter conversations by tool names that had successful calls.
tool_names_erroredlist of strings or nullOptional
Filter conversations by tool names that had errored calls.
main_languageslist of strings or nullOptional

Filter conversations by detected main language (language code).

page_sizeintegerOptional1-100Defaults to 30
How many conversations to return at maximum. Can not exceed 100, defaults to 30.
summary_modeenumOptionalDefaults to exclude
Whether to include transcript summaries in the response.
Allowed values:
searchstring or nullOptionalDeprecated

Full-text or fuzzy search over transcript messages

conversation_initiation_sourceenum or nullOptionalDefaults to unknown
Enum representing the possible sources for conversation initiation.
text_onlyboolean or nullOptional
branch_idstring or nullOptional
Filter conversations by branch ID.
topic_idslist of strings or nullOptional
Filter conversations by topic IDs assigned during topic discovery.
exclude_statuseslist of enums or nullOptional

Exclude conversations with the given statuses. Useful for hiding in-progress / processing conversations from list views.

Allowed values:
tag_idslist of strings or nullOptional

Filter conversations by conversation tag IDs assigned via the conversation-tags endpoints.

workflow_node_entered_idstring or nullOptional
Filter conversations to only those that entered the given node.

Response

Successful Response
conversationslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error